Page MenuHomePhabricator

Fatal error: Class undefined: PageAssessmentsBody
Closed, ResolvedPublic

Description

Fatal error: Class undefined: PageAssessmentsBody in /srv/mediawiki/php-1.31.0-wmf.16/extensions/PageAssessments/api/ApiQueryProjectPages.php on line 138

Event Timeline

Restricted Application added a project: Community-Tech. · View Herald TranscriptJan 16 2018, 9:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
thcipriani triaged this task as High priority.Jan 16 2018, 9:13 PM

This started when I pushed out wmf.16 to the wikipedia wikis.

Full stack trace:

{
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/extensions/PageAssessments/api/ApiQueryProjectPages.php",
  "line": 138
},
{
  "args": [
    "array",
    "ApiPageSet"
  ],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/extensions/PageAssessments/api/ApiQueryProjectPages.php",
  "line": 43,
  "function": "buildDbQuery",
  "type": "->",
  "class": "ApiQueryProjectPages"
},
{
  "args": [
    "ApiPageSet"
  ],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/extensions/PageAssessments/api/ApiQueryProjectPages.php",
  "line": 27,
  "function": "run",
  "type": "->",
  "class": "ApiQueryProjectPages"
},
{
  "args": [
    "ApiPageSet"
  ],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/includes/api/ApiPageSet.php",
  "line": 180,
  "function": "executeGenerator",
  "type": "->",
  "class": "ApiQueryProjectPages"
},
{
  "args": [
    "boolean"
  ],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/includes/api/ApiPageSet.php",
  "line": 144,
  "function": "executeInternal",
  "type": "->",
  "class": "ApiPageSet"
},
{
  "args": [],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/includes/api/ApiQuery.php",
  "line": 238,
  "function": "execute",
  "type": "->",
  "class": "ApiPageSet"
},
{
  "args": [],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/includes/api/ApiMain.php",
  "line": 1582,
  "function": "execute",
  "type": "->",
  "class": "ApiQuery"
},
{
  "args": [],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/includes/api/ApiMain.php",
  "line": 544,
  "function": "executeAction",
  "type": "->",
  "class": "ApiMain"
},
{
  "args": [],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/includes/api/ApiMain.php",
  "line": 515,
  "function": "executeActionWithErrorHandling",
  "type": "->",
  "class": "ApiMain"
},
{
  "args": [],
  "file": "/srv/mediawiki/php-1.31.0-wmf.16/api.php",
  "line": 94,
  "function": "execute",
  "type": "->",
  "class": "ApiMain"
},
{
  "args": [
    "string"
  ],
  "file": "/srv/mediawiki/w/api.php",
  "line": 3,
  "function": "include"
}

Change 404582 had a related patch set uploaded (by Niharika29; owner: Niharika Kohli):
[mediawiki/extensions/PageAssessments@master] Fix wrong class name

https://gerrit.wikimedia.org/r/404582

Niharika claimed this task.Jan 16 2018, 9:59 PM

Change 404582 merged by jenkins-bot:
[mediawiki/extensions/PageAssessments@master] Fix wrong class name

https://gerrit.wikimedia.org/r/404582

MusikAnimal moved this task from Ready to Q1 2018-19 on the Community-Tech-Sprint board.

Change 409635 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[mediawiki/extensions/PageAssessments@master] Fix 500 error with PageAssessments API

https://gerrit.wikimedia.org/r/409635

Change 409635 merged by jenkins-bot:
[mediawiki/extensions/PageAssessments@master] Fix 500 error with PageAssessments API

https://gerrit.wikimedia.org/r/409635

Change 409640 had a related patch set uploaded (by Niharika29; owner: Niharika29):
[mediawiki/extensions/PageAssessments@wmf/1.31.0-wmf.20] Fix 500 error with PageAssessments API

https://gerrit.wikimedia.org/r/409640

Change 409640 merged by jenkins-bot:
[mediawiki/extensions/PageAssessments@wmf/1.31.0-wmf.20] Fix 500 error with PageAssessments API

https://gerrit.wikimedia.org/r/409640

Mentioned in SAL (#wikimedia-operations) [2018-02-12T19:12:27Z] <niharika29@tin> Synchronized php-1.31.0-wmf.20/extensions/PageAssessments/: Fix 500 error with PageAssessments API T185037 (duration: 00m 56s)

Niharika closed this task as Resolved.Feb 12 2018, 7:48 PM

And it's back!

mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:09 PM